Bug 149873 - [PATCH] games/linux-enemyterritory: missing DRI
[PATCH] games/linux-enemyterritory: missing DRI
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Philip M. Gollucci
Depends on:
  Show dependency treegraph
Reported: 2010-08-22 10:50 UTC by David Demelier
Modified: 2010-09-23 07:50 UTC (History)
0 users

See Also:

file.diff (308 bytes, patch)
2010-08-22 10:50 UTC, David Demelier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Demelier 2010-08-22 10:50:03 UTC
The port games/linux-enemyterritory won't start if any graphics/linux-(f10|f8) or graphics/linux-dri is installed.

So added USE_LINUX_APPS= dri to solve this.
Comment 1 Edwin Groothuis freebsd_committer 2010-08-22 10:50:15 UTC
Maintainer of games/linux-enemyterritory,

Please note that PR ports/149873 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 2 Edwin Groothuis freebsd_committer 2010-08-22 10:50:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Philip M. Gollucci freebsd_committer 2010-09-16 23:58:19 UTC
State Changed
From-To: feedback->open

maintainer timeout (benlutz@datacomm.ch ; 25 days)
Comment 4 Philip M. Gollucci freebsd_committer 2010-09-22 07:07:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it
Comment 5 dfilter freebsd_committer 2010-09-23 03:32:12 UTC
pgollucci    2010-09-23 02:32:07 UTC

  FreeBSD ports repository

  Modified files:
    games/linux-enemyterritory Makefile 
  - Add missing dri
  PR:             ports/149873
  Submitted by:   David Demelier <demelier.David@gmail.com>
  Approved by:    maintainer timeout (benlutz@datacomm.ch ; 25 days)
  Revision  Changes    Path
  1.13      +4 -2      ports/games/linux-enemyterritory/Makefile
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Philip M. Gollucci freebsd_committer 2010-09-23 03:32:32 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 7 barbara.xxx1975 2010-09-23 07:32:19 UTC
This patch is breaking the building, I think at least for x11/nvidia-driver 
I think that the check for dri (libGL.so.1.2.so)  fails, even if dri is 
    # pkg_info -Ix linux-dri
    linux-dri-7.4_1     Mesa-based DRI libraries, drivers and binaries (Linux 
because in /compat/linux/usr/lib/, libGL.so.1.2.so from dri is moved to XXX-
libGL.so.1.2.%%.linux-dri-7.4_1 from the nvidia-driver port, which installs 
libGL.so.195.36.15 and link it to libGL.so.1.

Maybe we need to workaround it with a WITH_NVIDIA option?


The following is the error while upgrading:

--->  Installing the new version via the port
===>  Installing for linux-enemyterritory-2.60b_1
===>   linux-enemyterritory-2.60b_1 depends on file: /compat/linux/etc/fedora-
release - found
===>   linux-enemyterritory-2.60b_1 depends on file: 
/compat/linux/usr/lib/libGL.so.1.2 - not found
===>    Verifying reinstall for /compat/linux/usr/lib/libGL.so.1.2 in 
===>  License check disabled, port has not defined LICENSE
===>  Extracting for linux-dri-7.4_1
=> MD5 Checksum OK for linux-dri-7.4.tar.bz2.
=> SHA256 Checksum OK for linux-dri-7.4.tar.bz2.
===>  Patching for linux-dri-7.4_1
===>  Configuring for linux-dri-7.4_1
===>  Installing for linux-dri-7.4_1
===>   linux-dri-7.4_1 depends on file: /compat/linux/etc/fedora-release - 
===>   Generating temporary packing list
===>  Checking if graphics/linux-dri74 already installed
===>   linux-dri-7.4_1 is already installed
      You may wish to ``make deinstall'' and install this port again
      by ``make reinstall'' to upgrade it properly.
      If you really wish to overwrite the old port of graphics/linux-dri74
      without deleting it first, set the variable "FORCE_PKG_REGISTER"
      in your environment or the "make install" command line.
*** Error code 1

Stop in /usr/ports/graphics/linux-dri74.
*** Error code 1

Stop in /usr/ports/graphics/linux-dri74.
*** Error code 1

Stop in /usr/ports/games/linux-enemyterritory.
*** Error code 1

Stop in /usr/ports/games/linux-enemyterritory.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade20100923-
10879-r9zjpu-0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=linux-enemyterritory-
2.60b UPGRADE_PORT_VER=2.60b make reinstall
--->  Restoring the old version
** Fix the installation problem and try again.
[Updating the pkgdb <format:bdb_btree> in /var/db/pkg ... - 794 packages found 
(-0 +1) . done]
** Listing the failed packages (-:ignored / *:skipped / !:failed)
	! games/linux-enemyterritory (linux-enemyterritory-2.60b)	(install error)